# Automated Payout Reporting

Source: https://docs.gocardless.com/docs/gc-embed/reconciling-payouts/automated-payout-reporting

# Automated Payout Reporting

> **Info:**
> To opt into Automated Payout Reporting, please contact your account manager to enable this
>   feature.

**Automated Payout Reporting** means GoCardless will automatically generate a daily payout report for all your creditors, accessible to you in a single comprehensive report.

GoCardless will generate a csv report for each currency you receive payouts in. The report will contain all the payouts you have received the previous business day (in UTC timezone), including any refunds, chargebacks or late failures incurred. More details on this format are in the [reconciling payouts](/docs/gc-embed/reconciling-payouts) section of our docs.

If you require more historical information or reports that aggregate payouts across wider time frames you can generate manual payout reconciliation reports via the [dashboard](https://manage.gocardless.com/payouts) using the _payout reconciliation_ button and exporting the _transactions_.

## Getting your automated reports

In this step of the GoCardless Embed guide, you will use GoCardless' APIs to retrieve the payout reports and download them to be consumed in your own reconciliation flows.

## Using the Exports API

### GET /exports

You can retrieve the list of exports available for download by performing a GET request to the `/exports` endpoint. Exports are available for download for up to **3 days **after they are generated, after which they will no longer be available.

```http
GET https://api.gocardless.com/exports HTTP/1.1

HTTP/1.1 200 OK
Content-Type: application/json
\,
\
]
\}
```

```php
\$client->exports()->list();
```

```python
client.exports.list().records
```

```ruby
@client.exports.list
```

```java
for (Export export : client.exports().all().execute()) \
```

```javascript
const exports = await client.exports.list();
```

```net
var exportListResponse = gocardless.Exports.All();
foreach (GoCardless.Resources.Export export in exportListResponse)
\
```

```go
exportListParams := gocardless.ExportListParams\
exportListResult, err := client.Exports.List(context, exportListParams)
for \_, export := range exportListResult.Exports \
```

```bash
curl --silent \\
-H "Content-Type: application/json" \\
-H "Gocardless-Version: 2015-07-06" \\
-H "Authorization: Bearer \$\" \\
"https://api.gocardless.com/exports"
```

### GET /exports/EX123

To download an export, you can retrieve the download URL by performing a GET request to the `/exports/EX123` endpoint, providing the export ID as a path parameter. Once a download_url is generated, the link is accessible for up to **1 hour** before it expires.

```http
GET https://api.gocardless.com/exports/EX123 HTTP/1.1

HTTP/1.1 200 OK
Content-Type: application/json
\
\}
```

```php
\$client->exports()->get('EX123');
```

```python
client.exports.get("EX123")
```

```ruby
@client.exports.get("EX123")
```

```java
Export export = client.exports().get("EX123").execute();
```

```javascript
const exportData = await client.exports.find("EX123");
```

```net
var exportResponse = await gocardless.Exports.GetAsync("EX123");
GoCardless.Resources.Export export = exportResponse.Export;
```

```go
export, err := client.Exports.Get(context, "EX123")
```

```bash
curl --silent \\
-H "Content-Type: application/json" \\
-H "Gocardless-Version: 2015-07-06" \\
-H "Authorization: Bearer \$\" \\
"https://api.gocardless.com/exports/EX123"
```

For more details, see the API reference docs for [Exports](/docs/api-reference/export#list-exports).

## What's next?

  
#### [Setting Up Branding](/docs/gc-embed/setting-up-branding)

Customise the look and feel of your merchants' payment pages with logos and colour themes.

  
#### [API Request Signing](/docs/gc-embed/api-request-signing)

Add an extra layer of security to your API communication with request signing.